# EnSimpleStaging  |  Copyright(C), 2008, Enfold Systems, LLC
# see LICENSE.txt for details

import transaction
from Products.EnSimpleStaging.tests.demostorage import StorageStackingTestCase

class TestDemoStorageStacking(StorageStackingTestCase):
    
    def testAddingFolder1(self):
        self.loginAsPortalOwner()
        self.portal.invokeFactory('Folder', 'f1')
        transaction.commit()

    def testAddingFolder1Again(self):
        self.loginAsPortalOwner()
        self.portal.invokeFactory('Folder', 'f1')
        transaction.commit()

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    for testclass in (
        TestDemoStorageStacking,
        ):
        suite.addTest(makeSuite(testclass))
    return suite
